#ifndef _HSP_BAR
#define _HSP_BAR

#ifndef HSP_BAR_X64
#uselib "hspbar.dll"
#else
#uselib "hspbar64.dll"
#endif

#func bar_Init "bar_Init" int, int, int
#func bar_Read "bar_Read" int, int, var, int, int, int, var
#func bar_GetTextA "bar_GetTextA" var
#func bar_GetTextU8 "bar_GetTextU8" var
#func bar_CopyTextU8 "bar_CopyTextU8" var, var, int
#func bar_CopyTextU8_GetSize "bar_CopyTextU8" var, nullptr, int
#func bar_GetTextU16 "bar_GetTextU16" var
#cfunc bar_GetSize "bar_GetSize"
#func bar_Free "bar_Free" var
#func bar_UnInit "bar_UnInit" int

// O[XP[(8bit)
#define ImageFormat_LUM 	0x01000000
#define ImageFormat_RGB 	0x03000102
#define ImageFormat_BGR 	0x03020100
#define ImageFormat_RGBX 	0x04000102
#define ImageFormat_XRGB 	0x04010203
#define ImageFormat_BGRX	0x04020100
#define ImageFormat_XBGR 	0x04030201

#define BarcodeFormat_Aztec						0x00000001
#define BarcodeFormat_Codabar					0x00000002
#define BarcodeFormat_Code39					0x00000004
#define BarcodeFormat_Code93					0x00000008
#define BarcodeFormat_Code128					0x00000010
#define BarcodeFormat_DataBar					0x00000020
#define BarcodeFormat_DataBarExpanded			0x00000040
#define BarcodeFormat_DataMatrix				0x00000080
#define BarcodeFormat_EAN8						0x00000100
#define BarcodeFormat_EAN13						0x00000200
#define BarcodeFormat_ITF						0x00000400
#define BarcodeFormat_MaxiCode					0x00000800
#define BarcodeFormat_PDF417					0x00001000
#define BarcodeFormat_QRCode					0x00002000
#define BarcodeFormat_UPCA						0x00004000
#define BarcodeFormat_UPCE						0x00008000

#define BarcodeFormat_JAN						BarcodeFormat_EAN13
#define BarcodeFormat_Default					(BarcodeFormat_JAN | BarcodeFormat_QRCode)

#define DecodeStatus_NoError			0
#define DecodeStatus_NotFound			1
#define DecodeStatus_FormatError		2
#define DecodeStatus_ChecksumError		3

#endif